


clear all
set more off, perm
#delimit cr

*************************************************************
******	Folder locations
*************************************************************


if "`c(username)'"=="amatray"{
	global dropbox "/Users/amatray/Dropbox (Matray)"
	global projectfolder "$dropbox/Airports_Palermo/3d-Round/replication_package"
}	
if "`c(username)'"=="nbau"{
	global dropbox "/Users/nbau/Dropbox"
	global projectfolder "$dropbox/Airports_Palermo/3d-Round/replication_package"
}	

*** Project paths
global source 	"$dropbox/source"
global output 	"$projectfolder/data/output"
global result 	"$projectfolder/results"

global do 		"$projectfolder/code"

* ASI path 
global asi_raw "$projectfolder/ASI/data/raw"

global code_asi "$projectfolder/ASI/dofile"
global deflators "$source/Deflators"
global asiclean "$output"

************************************************
************		PROGRAMS		************
************************************************

quiet{
do "$do/00.1.own_programs.do"
}
*

************************************************************
************		INSTALL STATA COMMAND		************
************************************************************

* LP estimation
net install st0060

ssc install reghdfe 
ssc install ftools 
ssc install gtools 
ssc install egenmore 
ssc install estout
ssc install erepost
ssc install moremata
ssc install labutil
ssc install splitvallabels

************************************************************
************		CONSTRUCT THE SAMPLE		************
************************************************************

do "$do/00.2.product_data_cleaning.do" 

do "$do/00.3.first_stage_CapEx.do" 

do "$do/01.firms_financials.do" 

do "$do/02.yearly_adjust.do"  
 
do "$do/03.MRPK_YK.do"   

do "$do/04.MRPK_lp.do"    

do "$do/05.Assemble_everything.do"


****************************************************
************		RUN REGRESSIONS		************
****************************************************

do "$do/06.Regressions.do"

do "$do/07.industry_level_estimates.do"

do "$do/08.predict_treatment.dos"

