



*prepare cap ex 
use "$capex/Project_Detail.dta", clear

*get if foreign owned project 

gen foreign_proj=0
foreach name in foreign Foreign { 
	gen temp=strpos(ownership, "`name'")
	replace foreign_proj=1 if temp!=0
	drop temp
	}
*4% of projects are foreign

*how to do date of project? Completion or start?
*can use date of cost of project to make time-varying measure at firm level
keep companycode projectnumber foreign_proj 

merge companycode projectnumber using "$capex/Project_Cost.dta", uniqmaster sort
tab _merge
*some costs that do not match projects (1%)
*A lot of projects with no costs (perhaps no costs posted yet?): 20%
*Not differentially missing by "foreign"

keep if _merge==3
drop _merge

*appears to be cumulative cost of project by date
*for each year pick last date -- no cases with multiple costs in a given year
*fill in missing years

gen len=strlen(dateofcostofproject)
replace len=len-4
gen year=substr(dateofcostofproject,len,5)
destring year, replace

*make at company level
gen foreign_amount_proj=foreign_proj*costofprojectrsmillion
bysort companycode year: egen total_foreign=total(foreign_amount_proj)

keep companycode year total_foreign 
duplicates drop 

keep if year>=1995 & year<=2015

tsset companycode year
tsfill 

*fill in missing values 
sort companycode year 
forval x=1995/2015 { 
	gen temp=total_foreign if year==`x'
	bysort companycode: egen temp2=mean(temp) 
	replace total_foreign = temp2 if year==(`x'+1) & total_foreign==.
	drop temp*
	}
	
tempfile capex
rename companycode id
save `capex' ,replace


*cleaned prowess 
use "$output/final_data_02", clear 
merge id year using `capex', unique sort
tab _merge
*get rid of firms not in manufacturing data
drop if _merge==2

replace total_foreign=0 if _merge==1

gen any_foreign_proj=0
replace any_foreign_proj=1 if total_foreign>0 & total_foreign!=.


global FE "id sizeq4yr firm_age"
global cluster nic2008_4digit year

gen ihs_foreign=asinh(total_foreign)
gen log_foreign=log(total_foreign)

replace high_treated=treated*mpk_YK_high2_withinind

reghdfe any_foreign_proj treated, absorb(id firm_age sizeq4yr) cluster($cluster)
est store reg1

reghdfe any_foreign_proj treated high_treated, absorb(id firm_age sizeq4yr) cluster($cluster)
est store reg2

reghdfe ihs_foreign treated, absorb(id firm_age sizeq4yr) cluster($cluster)
est store reg3

reghdfe ihs_foreign treated high_treated, absorb(id firm_age sizeq4yr) cluster($cluster)
est store reg4

reghdfe log_foreign treated, absorb(id firm_age sizeq4yr) cluster($cluster)
est store reg5

reghdfe log_foreign treated high_treated, absorb(id firm_age sizeq4yr) cluster($cluster)
est store reg6

xml_tab reg1 reg2 reg3 reg4 reg5 reg6, save("$projectfolder/output/first_stage_capex.xml") stats(N r2_a) below cnames("Any Foreign Project"  "Any Foreign Project"  ///
	"IHS Amount Foreign"  "IHS Amount Foreign"  "Log Amount Foreign" "Log Amount Foreign")
	
	

 



	
